#!/usr/bin/env ruby

# math-remove.rb F18
# remove remote directory

require 'net/sftp'
require 'pp'

server = 'math.columbia.edu'
user = 'bayer'
keys = ["/Users/dave/.ssh/id_rsa"]
remote_prefix = '/bayer/html/'

####################################################

def bail(msg)
  puts "\n#{msg}\n\nusage:\n\tmath-remove.rb F19"
  exit
end

####################################################

if ARGV.length != 1
  bail 'wrong number of arguments'
end

dir, = ARGV
remote_path = remote_prefix + dir

# open sftp session
Net::SFTP.start(server, user, port: 2718, keys: keys) do |sftp|
  puts

  # check that remote path exists
  begin
    sftp.stat! remote_path
  rescue
    bail '    sftp stat error'
  end

  # get file/directory list
  begin
    entries = sftp.dir.glob(remote_path, '**/*')
  rescue
    bail '    sftp glob error'
  end

  # remove files, directories in reverse order
  entries.reverse.push(nil).each do |entry|
    path = entry ? "/#{entry.name}" : ''
    path = remote_path + path
    puts "- #{path}"
    begin
      if entry && entry.longname[0] != 'd'
        sftp.remove! path
      else
        sftp.rmdir! path
      end
    rescue
      bail '    sftp remove error'
    end
  end
  
end
