## Combinatorics

#### [Week 1](../Week1) | Week 2 | [Week 3](../Week3)

---

### Tuesday, January 19

[Class notes](Jan19.pdf)  

* Lattice walk with two holes
* Casting out nines to check arithmetic
* Inclusion-Exclusion with two properties A, B
* Hat check problem: Fixed point free permutations

Suggested exercise: How many integers 1..60 are not divisible by 2, 3, or 5?

[Office Hours](Jan19-officehours.pdf)

* Arithmetic mod n
* Check lattice walk answer
* Suggested exercise solution

---

### Wednesday, January 20

[Office Hours](Jan20-officehours.pdf)

* 1..24 not divisible by 4 or 6
* 1..30 not divisible by 2, 3, or 5
* Crossing out fixed points in hat check problem

---

### Thursday, January 21

[Class notes](Jan21.pdf)  

* Prime sieves
* [Bayer filter](https://en.wikipedia.org/wiki/Bayer_filter)
* 1..60 not divisible by 4, 5, or 6
* [Euler's totient function](https://en.wikipedia.org/wiki/Euler%27s_totient_function)
* Product rule for m, n relatively prime
* Example (after class), m=5, n=12

---

### Suggested reading

* [2007 Aigner - A Course in Enumeration](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-3-540-39035-0)
  - 5.1 Inclusion–Exclusion
* [1983 Pólya, Tarjan, Woods - Notes on Elementary Combinatorics](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-0-8176-4953-1)
  - 4\. Principle of Inclusion and Exclusion
* [2001 Martin - Counting: The art of enumerative combinatorics](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-1-4757-4878-9)
  - Chapter 2. The Principle of Inclusion and Exclusion
* [2003 Lovasz, Pelikan, Vesztergombi - Discrete mathematics](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/b97469)
  - 2.3 Inclusion-Exclusion
* [2011 Camina, Lewis - An introduction to enumeration](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-0-85729-600-9)
  - 1.3 The Principle of Inclusion and Exclusion
* [2015 Beeler - How to count](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-3-319-13844-2)
  - 7 Advanced Counting — Inclusion and Exclusion

---
